Subject: Re: bug#35480: insert-wide-parentheses

From: Juri Linkov <[email-masked]>
Date: Mon, 06 May 2019 22:33:18 +0300

>> Loading /home/abuild/rpmbuild/BUILD/emacs-27.0.50/lisp/emacs-lisp/lisp.el (source)...
>> Wrong type argument: char-table-p, nil
>> make[2]: *** [Makefile:808: bootstrap-emacs.pdmp] Error 255

This is very strange.  I recompiled several times and had no such error.

> This change has another, IMO more serious, problem: it uses the
> bidi-bracket property of characters entirely out of its intended
> domain.  The _only_ valid usage of that property is in the context of
> the UBA, the Unicode Bidirectional Algorithm, used for reordering
> bidirectional text for display.  Pairing syntactical units in program
> text is something entirely different.

I reverted to the old default value, and changed defvar to defcustom.

Also tried to add a button that would pre-fill the default value
with Unicode bracket pairs, but I see no way to do this because
customize's :options is limited to ‘hook’, ‘plist’, ‘alist’ types
only, alas.